cURL
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '{
"id": "id"
}'import requests
url = "https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows"
payload = { "id": "id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({id: 'id'})
};
fetch('https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows"
payload := strings.NewReader("{\n \"id\": \"id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"id\": \"id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"id\": \"id\"\n}"
response = http.request(request)
puts response.read_body{
"position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"last_row": 0,
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Post apipositiongetpositioneffectsrows
POST
/
api
/
Position
/
GetPositionEffectsRows
cURL
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '{
"id": "id"
}'import requests
url = "https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows"
payload = { "id": "id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({id: 'id'})
};
fetch('https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows"
payload := strings.NewReader("{\n \"id\": \"id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"id\": \"id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Position/GetPositionEffectsRows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"id\": \"id\"\n}"
response = http.request(request)
puts response.read_body{
"position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"last_row": 0,
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Core.Mediators.Upload.Positions.GetPositionEffectsRowsRequest, Derivitec.Core.Mediators Show child attributes
Show child attributes
Example:
{
"value_cols": [
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
},
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
}
],
"filter_model": [
{
"field": "field",
"filter_type": "filter_type"
},
{
"field": "field",
"filter_type": "filter_type"
}
],
"start_row": 0,
"row_group_cols": [
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
},
{
"agg_func": "agg_func",
"field": "field",
"id": "id",
"display_name": "display_name"
}
],
"group_keys": ["group_keys", "group_keys"],
"sort_model": [
{ "col_id": "col_id", "sort": "sort" },
{ "col_id": "col_id", "sort": "sort" }
],
"end_row": 6
}
Was this page helpful?